import React from 'react';
import TitleSection from './TitleSection';
import IllustrationSection from './IllustrationSection';
import ButtonSection from './ButtonSection';

const LayoutComponent = () => {
  return (
    <div style={{
      width: '100%',
      minHeight: '100vh',
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      backgroundColor: '#f9f9fd',
      paddingTop: '80px',
      paddingBottom: '80px'
    }}>
      <TitleSection style={{ flexGrow: 1, width: '100%', maxWidth: '1440px' }} />
      <IllustrationSection style={{ flexGrow: 1, width: '100%', maxWidth: '1136px' }} />
      <ButtonSection style={{ flexGrow: 1, width: '100%', maxWidth: '287px' }} />
    </div>
  );
};

export default LayoutComponent;

